summaryrefslogtreecommitdiffstats
path: root/kde/cmake (follow)
Commit message (Collapse)AuthorAgeFilesLines
* The default cmake file is now based on KF5 instead of kdelibs4 Eric Hameleers2017-12-221-2/+7
|
* Add a cmake defaults file for the 'kde4' module Eric Hameleers2017-12-221-0/+20
|
* Build KF5 versions of kaudiocreator and kwebkitpart Eric Hameleers2017-11-202-11/+2
|
* Add applications-extra:yakuake Eric Hameleers2017-10-211-0/+1
| | | | | | | | | | | | | This commit is a bit of education on how to add a package on your own. I don't do this with the intention of adding yakuake to my repository, but to make it easier for people who have a need of it, to build it themselves. Just download the latest stable tarball from: https://download.kde.org/stable/yakuake/ and move the tarball into ./kde/src/applications-extra/ Then run: cd kde ./KDE.SlackBuild applications-extra:yakuake The resulting package can be found in /tmp/kde_build afterwards.
* smokeqt: add "-std=c++98" to the CXXFLAGS Eric Hameleers2017-10-141-0/+18
|
* New tarballs added to the build Eric Hameleers2017-10-143-0/+3
| | | | | | frameworks/qqc2-desktop-style plasma/drkonqi plasma/plasma-vault
* perlqt: tried - unsuccessfully - to make it compile again Eric Hameleers2017-10-141-0/+2
|
* Enable mp3 support in kwave Eric Hameleers2017-09-111-0/+1
|
* Explicitly use udisks2 in kdelibs Eric Hameleers2017-09-111-0/+1
|
* Kirigami2 was added to Frameworks Eric Hameleers2017-09-111-0/+1
|
* Some applications have been ported to KF5 Eric Hameleers2017-09-1111-0/+11
|
* kfilemetadata5 is a framework nowadays Eric Hameleers2017-07-221-1/+1
|
* applications-extra/kile: added. Eric Hameleers2017-07-181-0/+1
|
* New package: plasma/xdg-desktop-portal-kde Eric Hameleers2017-06-251-0/+1
|
* Prepare for KDE 5_17.05 for Slackware Eric Hameleers2017-05-212-2/+59
|
* Process the changes in the new Applications 17.04 Eric Hameleers2017-04-208-8/+14
|
* kscreenlocker: Slackware does not use PAM. Eric Hameleers2017-03-191-1/+25
| | | | | | | Actually, adding "-DPAM_REQUIRED=OFF" is not required at this moment, as the current default is "no PAM". But the developer is going to require PAM by default in future releases, and added the above cmake parameter specifically for Slackware (and other non-PAM distros).
* kde: added digikam, k3b, kdenlive, libkface Eric Hameleers2017-03-194-2/+62
|
* KDE 5_17.01: a batch of packages had to be rebuilt for Slackware-current. Eric Hameleers2017-02-131-0/+30
|
* KDE: update the collection of cmake scripts for new/modified packages. Eric Hameleers2017-01-2741-48/+130
|
* marble: ensure that configuration goes into /etc instead of /usr/etc . Eric Hameleers2016-12-101-0/+1
|
* kde-runtime: allow building kwalletd against gpgme++ from gpgme 1.7. Eric Hameleers2016-12-081-9/+5
|
* Kget: I can not get it to compile against qgpgme, so disabled support for it. Eric Hameleers2016-12-081-0/+23
|
* kde, kdei: updated for KDE 5_16.08 Eric Hameleers2016-11-0114-23/+69
|
* skanlite has been ported to KDE Frameworks 5 (KF5). Eric Hameleers2016-07-211-0/+1
| | | | Moved from kde/kde4-extragear/ to kde/applications-extra/
* The 'freerdp' package should be a runtime dependency only. Eric Hameleers2016-05-181-1/+38
| | | | | | | | | The source configuration process of KRDC searches for the xfreerdp binary and disables RDP support if the binary is not found. I do not call that a "run-time dependency". But since xfreerdp actually *is* a run-time dependency only, the SlackBuild will create a workaround. With this modification you can add the 'freerdp' package afterwards and RDP support will work out of the box without recompilation of 'krdc'.
* Three more applications were ported to KDE Frameworks 5. Eric Hameleers2016-04-203-0/+3
| | | | | The symlinks appear not to be necessary, their cmake scripts are smart enough so this update can be seen as documenting the fact.
* Add meta files for all the new source tarballs in Applications 16.04.0. Eric Hameleers2016-04-2024-0/+24
|
* Add kactivities-workspace and kactivitymanagerd (temporary) Eric Hameleers2016-03-162-0/+2
| | | | | | These two packages fill a gap that exists while code is being migrated. They are only needed for the combination of Frameworks 5.20.0 and Plasma 5.5.5 and will be removed again when Plasma 5.6 is released.
* kde/telepathy: enable building ktp-call-ui. Eric Hameleers2016-02-231-0/+1
| | | | | | Still using a git snapshot, but a stable release of this graphical Voice & Video chat program is scheduled to be included with KDE Applications 16.04.
* Applications: add 'kjots' package which used to be part of the PIM suite. Eric Hameleers2016-02-101-0/+1
| | | | New download URL for the sources: http://download.kde.org/stable/kjots/
* kde/applications/marble: install Qt4 libraries into the correct location. Eric Hameleers2016-01-211-0/+2
|
* Some package recompilations as a result of your feedback, thanks! Eric Hameleers2015-12-318-0/+34
| | | | | | | | | | | | | | Also, three new packages have been added and one has been re-added. current/testing/deps: Updated OpenAL. current/testing/kde/applications: Rebuilt kde-runtime, kdenetwork-filesharing, kdesdk-thumbnailers, kdegraphics-thumbnailers, krfb, kamera, marble, ark, dolphin, kde-baseapps. current/testing/kde/applications: Added the missing baloo5-widgets. current/testing/kde/kdepim: Rebuilt kdepimlibs. current/testing/kde/plasma: Added bluez-qt,bluedevil (now that Slackware finally got updated to BlueZ 5)). current/testing/kde/plasma: Rebuilt plasma5-nm, plasma-workspace. current/testing/kde/plasma-extra: Re-added oxygen-fonts on request.
* Added and removed KDE packages for 5_15.12 Eric Hameleers2015-12-174-0/+4
| | | | | | | | | | | Added: breeze-gtk kscreenlocker libksane4 spectacle Removed: kdeconnect4
* Frameworks: two new packages, breeze-icons and oxygen-icons5. Eric Hameleers2015-11-191-0/+1
|
* SDDM: updated. Eric Hameleers2015-11-191-0/+1
|
* kde/frameworks/kservice: rename menu file to "kf5-applications.menu". Eric Hameleers2015-10-121-1/+22
|
* kde/plasma-extra: add xembed-sni-proxy. Eric Hameleers2015-10-121-0/+1
| | | | | | | This application converts XEmbed system tray icons into SNI icons, thereby providing a seamless integration of the old into the new. A separate application providing XEmbed tray suppport like trayer-srg or stalonetray is no longer needed.
* frameworkintegration: add "-fno-strict-aliasing" to compilerflags. Eric Hameleers2015-09-131-1/+27
| | | | | | | | Workaround a bug in Qt 5.5.0 which makes OwnCloud crash when interacting with the systray menu (and possibly other applications too) by adding "-fno-strict-aliasing" to CFLAGS and CXXFLAGS. See also http://bugzilla.redhat.com/1255902 and https://bugreports.qt.io/browse/QTBUG-47863
* Updated/added cmake scripts, mainly for new KF5 ports of Applications Eric Hameleers2015-09-0250-48/+246
|
* Many new KF5 ports that need different cmake invocation. Eric Hameleers2015-04-3063-0/+85
|
* Frameworks: updated to 5.8.0 Eric Hameleers2015-03-292-0/+2
|
* kdevelop: fix compilation due to our stripped-down kde-workspace. Eric Hameleers2015-02-171-0/+19
|
* Applications 14.12.2: reconfigure existing scripts. Add KDE4 extragear. Eric Hameleers2015-02-161-0/+23
|
* kde-workspace: stripped so that it can co-exist with plasma-workspace Eric Hameleers2015-02-1615-18/+71
| | | | | | | Plasma 5 still needs this package, for kget and because kdeartwork fails to compile if kde-workspace is absent. The stripped package contains the bare minimum and none of its files are found in plasma-desktop.
* Applications: prepare for the 14.12.2 release. Eric Hameleers2015-02-0213-0/+41
|
* Final KDE.SlackBuild harness, ready for the upcoming release of Plasma 5.2.0. Eric Hameleers2015-01-266-0/+6
| | | | | | | | | | | | | | | | | | All bugs have bee ironed out I hope... Final changes: eigen2: updated to latest version so 'step' can compile. kde-workspace: required to build this, or else kdeartwork won't compile. Frameworks as well as Plasma use /usr/lib{,64} as the libexec directory (not sure if this is the best solution but it solves a lot of path issues). Applications: modified the build order so that KF5 applications are built first (before kde-workspace overwrites part of plasma-workspace). My final package set will not have kde-workspace but if you compile this yourself, your last step needs to be: # removepkg kde-workspace # upgradepkg --reinstall /path/to/plasma-workspace
* Plasma: updated to 5.2.0. Eric Hameleers2015-01-237-13/+7
| | | | New dependency added: wayland (in order to compile KWin).
* KDE Frameworks: add missing cmake/kpackage symlink Eric Hameleers2015-01-211-0/+1
|
* KDE Frameworks: move Qt5 mkspecs files into Qt5 directory. Eric Hameleers2015-01-212-21/+2
| | | | Use /usr/lib{64,}/qt5/mkspecs/ instead of /usr/mkspecs/ which is ugly.